- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Enumerations
MSPUBTypes.h File Reference
`#include <vector>`
`#include <string>`
`#include <boost/optional.hpp>`
`#include "MSPUBBlockType.h"`
`#include "MSPUBBlockID.h"`
`#include "MSPUBContentChunkType.h"`
`#include "MSPUBConstants.h"`
`#include "ListInfo.h"`

Go to the source code of this file.

## Classes
struct | libmspub::EscherContainerInfo
struct | libmspub::MSPUBBlockInfo
struct | libmspub::ContentChunkReference
struct | libmspub::QuillChunkReference
struct | libmspub::CharacterStyle
struct | libmspub::LineSpacingInfo
struct | libmspub::ParagraphStyle
struct | libmspub::TextSpan
struct | libmspub::TextParagraph
struct | libmspub::Color

## Namespaces
| libmspub

## Enumerations
enum | libmspub::BorderPosition { libmspub::INSIDE_SHAPE, libmspub::HALF_INSIDE_SHAPE, libmspub::OUTSIDE_SHAPE }
enum | libmspub::SuperSubType { libmspub::NO_SUPER_SUB, libmspub::SUPERSCRIPT, libmspub::SUBSCRIPT }
enum | libmspub::Alignment { libmspub::LEFT = 0, libmspub::CENTER = 2, libmspub::RIGHT = 1, libmspub::JUSTIFY = 6 }
enum | libmspub::LineSpacingType { libmspub::LINE_SPACING_SP, libmspub::LINE_SPACING_PT }
enum | libmspub::PageType { libmspub::MASTER, libmspub::NORMAL, libmspub::DUMMY_PAGE }
enum | libmspub::ImgType { libmspub::UNKNOWN, libmspub::PNG, libmspub::JPEG, libmspub::WMF, libmspub::EMF, libmspub::TIFF, libmspub::DIB, libmspub::PICT, libmspub::JPEGCMYK }